#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-CtOtGdCtxZV8ysJzZN3zFG
key: crypto-pubkey-0.2.8-CtOtGdCtxZV8ysJzZN3zFG
license: BSD-3-Clause
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
author: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
abi: 2964ffba8af50f20346e6c59683e4628
exposed: True
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-CtOtGdCtxZV8ysJzZN3zFG
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY
    crypto-random-0.0.9-FWjny2ACuEk74S93d3lIOm
    crypto-pubkey-types-0.4.3-DDhDciZOiDm4G4LZwuUaG3
    cryptohash-0.11.9-BSyogS2IGyoG7wDlkNWhKw
    crypto-numbers-0.2.7-7p9vbn96qbJ4CgpIQcoPGJ
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY=1b344c82815219929c6d7eafd49ac50e
             crypto-random-0.0.9-FWjny2ACuEk74S93d3lIOm=ba759a82442ab80eafbb8b775c31dc71
             crypto-pubkey-types-0.4.3-DDhDciZOiDm4G4LZwuUaG3=faaf7b9ef6354b1f10f3d339168a7f80
             cryptohash-0.11.9-BSyogS2IGyoG7wDlkNWhKw=b2a47428569fd71c05c84372d3bd78a4
             crypto-numbers-0.2.7-7p9vbn96qbJ4CgpIQcoPGJ=b807941f5b3a64c6487d622660d387ca
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

